Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 13 Sep 2020 05:31:12 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi, 

I need any manager to call me as I have a problem since 12 August and I keep calling customer services with no action they keep saying we raised a request for you and someone will call and nothing happened. 

My complaint is returning items and refund they took the items since 19 August and they said will take from 10 to 14 days. 

If I didn't receive the refund or no one call me till after tomorrow I will call Ministry of Industry and Commerce. 

Regards 
Abdelrhman badr 
0541995967 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1476911